#include <iostream>
#include <string>
using namespace std;

int main()
{
    string rec,zabranjeno;
    getline(cin,rec);
    cin>> zabranjeno;
    int m=0,bruh=0,ie=0;
    while (rec[ie]!='\0'){
        ie++;
    }

    while (zabranjeno[bruh]!='\0'){
        bruh++;
    }
    int g[ie];
    for (int i=0;i<ie;i++){
        g[i]=0;
    }
    char zvezd='*';
    int ascii[ie];
    for (int i=0;i<bruh;i++){

        for (int j=0;j<ie;j++){
           if (rec[j]==zabranjeno[i]){
            g[i]++;
            }
        }
    }
        for (int j=0;j<ie;j++){
            ascii[j]=(int)rec[j];
            }
            m=g[0];
    for (int i=0;i<bruh;i++){
        for (int j=i+1;j<bruh;j++){
            if (g[i]>=g[j]){
                    if (g[0]==g[j]){
                        m+=g[0];
                    }
                    swap(g[i],g[j]);
                    }
                }
            }
        for (int j=0;j<g[0];j++){
            rec[m]=zvezd;
        }

        cout <<g[0]<<endl<< rec;
    return 0;
}